#ifndef shg_h
#define shg_h
#include "../../sim.h"

struct shg 
{
	double shg_1start;
	double shg_1stop;
	double shg_2start;
	double shg_2stop;
	double shg_den;
	double shg_externalv;
	double shg_dt;
	double shg_dt_mull;
	double shg_stop;
	double shg_stark;
	double shg_tstart;
	int shg_genprofile;
	double shg_lasereff;
	double shg_onvoltage;
	int shg_laser_on;
	double shg_R;
	double shg_t0;
	double shg_t1;
	double shg_t2;
	double shg_big_dt;
	double t_big_offset;
};

extern struct shg shg_config;

void shg_load_config(struct shg *in,struct device *dev);
void sim_shg(struct device *in);
double newton_sim_shg(struct device *in,double Vtot,int usecap);
void newton_aux_shg(struct device *in,double V,double* i,double* didv,double* didphi,double* didxil,double* didxipl,double* didphir,double* didxir,double* didxipr);

#endif
